---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id: []
      tier: FALLBACK_DEFAULT
      value: 0.06
    brdf:
      alpha_1:
        band_1: 0.24566828700793963
        band_11: 0.16952311685212168
        band_12: 0.09529983595054849
        band_2: 0.24566828700793963
        band_3: 0.38279987671377846
        band_4: 0.24770790474016102
        band_5: 0.24770790474016102
        band_6: 0.24770790474016102
        band_7: 0.5155548542227754
        band_8: 0.5155548542227754
        band_8a: 0.5155548542227754
      alpha_2:
        band_1: 0.20492341443301726
        band_11: 0.1978977402027064
        band_12: 0.23048856710336732
        band_2: 0.20492341443301726
        band_3: 0.1693366153587771
        band_4: 0.19818580343514544
        band_5: 0.19818580343514544
        band_6: 0.19818580343514544
        band_7: 0.1254988930993772
        band_8: 0.1254988930993772
        band_8a: 0.1254988930993772
      id:
      - 6544f748-d505-544e-85df-2535ae6cad6c
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 8770d769-6332-5aaa-8105-f9329c878a9c
      tier: DEFINITIVE
      value: 0.25
    water_vapour:
      id:
      - cd3401c0-734c-55b6-8141-6fab34585b1d
      tier: DEFINITIVE
      value: 1.7100000381469727
  id: 14f73763-2f11-4759-bb9e-aa83d4760001
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1911.0026863807675
      BAND-11: 232.65397484748266
      BAND-12: 79.56913812223256
      BAND-2: 1953.422058360787
      BAND-3: 1829.0141132036713
      BAND-4: 1493.3908152524687
      BAND-5: 1378.592015076394
      BAND-6: 1257.9690916550317
      BAND-7: 1151.599588623992
      BAND-8: 1019.9374599644842
      BAND-8A: 930.1026865952714
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2019-08-24 01:11:25.708506Z
    atime: 2022-05-26 13:39:42Z
    ctime: 2019-08-24 05:37:43Z
    mtime: 2019-08-24 05:37:38Z
    owner_id: '12232'
    platform_id: SENTINEL_2A
    sensor_id: MSI
    source_level1: /g/data/up71/projects/ARD_implementation_validation/robbi_northern_territory_L1C/S2A_MSIL1C_20190824T010731_N0208_R045_T53LPD_20190824T023858.zip
  system_information:
    hostname: gadi-cpu-clx-2399.gadi.nci.org.au
    runtime_id: 4c4b4572-dcf9-11ec-92d1-00000191fe80
    time_processed: 2022-05-26 13:39:42.649723Z
    uname: 'Linux gadi-cpu-clx-2399.gadi.nci.org.au 4.18.0-348.20.1.el8.nci.x86_64
      #1 SMP Wed Mar 16 11:37:35 AEDT 2022 x86_64'
gqa:
  colors:
    blue: 1.0
    green: 10.0
    red: 0.0
    teal: 9.0
    yellow: 0.0
  error_message: no errors
  final_qa_count: 14
  granule: S2A_OPER_MSI_L1C_TL_EPAE_20190824T023858_A021778_T53LPD_N02.08
  ref_date: '2013-09-14T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/102/070/LC81020702013257LGN00_B2.TIF
  residual:
    abs:
      x: 0.44
      xy: 0.49
      y: 0.21
    abs_iterative_mean:
      x: 0.42
      xy: 0.45
      y: 0.14
    cep90: 0.54
    iterative_mean:
      x: 0.42
      xy: 0.45
      y: -0.14
    iterative_stddev:
      x: 0.09
      xy: 0.11
      y: 0.07
    mean:
      x: 0.43
      xy: 0.47
      y: -0.19
    stddev:
      x: 0.25
      xy: 0.34
      y: 0.23
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 8.536305833448637
    cloud: 10.133239026009152
    cloud_shadow: 5.369553746725869
    snow: 1.0441408758547632
    water: 74.91676051796158
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 79.83391847248869
    cloud: 20.166081527511317
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.1
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.1
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.0
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
